ROSENTHAL UNINSTALL
     Rosenthal Engineering P.O.Box 1650, San Luis Obispo CA USA 93406         
      U.S. Patent No. 5,359,659, Copyright 1994 all rights reserved.


                         Rosenthal UnInstall (tm)


Automatically remove unwanted Windows and DOS programs, files, directories 
and restore the system's AUTOEXEC.BAT, CONFIG.SYS, WIN.INI, SYSTEM.INI and 
disk boot sector system tracks. Quickly and easily! You'll wonder how  you 
ever did without it!. Run Rosenthal UnInstall before you add anything  new 
to your system. New programs can then be added and, at your option,  kept, 
or deleted, and the system completely returned to normal. 

Single  systems,  as  well as networks with multiple  and  even  removable 
drives  are supported. Safeguards provide display of all  directories  and 
files  (including hidden and duplicate ones) for review and  confirmation. 
Accept additions, or safely delete them.

Rosenthal  UnInstall maintains a map of your disk drives and  records  the 
appearance  of  each  new installation. When  you  execute  "UNINSTAL.EXE" 
before  adding  new  software  to your  system,  Rosenthal  UnInstall  can 
automatically remove it at some latter date. 

The best way to determine if any program will satisfy your needs is to try 
it  for  yourself.  Rosenthal UnInstall makes  trying  new  software  more 
attractive  by  eliminating  the  aggravation  normally  associated   with 
removing unwanted software and restoring the system. Unwanted software  is 
removed   and   the  system  restored  safely   and   automatically.   All 
modifications,   additions  and  deletions  made  to   the   AUTOEXEC.BAT, 
CONFIG.SYS, WIN.INI and SYSTEM.INI can be restored. At your option, any of 
the  added  files  and  subdirectories may  be  kept  or  safely  deleted, 
including  hidden  and  read-only files. Even the disk  boot  sectors  are 
handled.

         -    -    -    -    -    -    -    -    -    -    -    -

                      How to use Rosenthal UnInstall

First copy the files from your distribution diskette, CD-ROM or archive to 
the root directory of your hard disk. 

               For example:
                              COPY A:*.* C:\

Rosenthal  Uninstall  will work in both a DOS or  MS-Windows  environment. 
That's an important feature, because if for some reason you install a  new 
program  that causes Windows to crash, you'll need Rosenthal UnInstall  to 
remove   it  and  restore  your  system  files  even  though  Windows   is 
inoperative. Rosenthal UnInstall can remove some very nasty installations.

If you use your Windows program manager to add Rosenthal UnInstall  (NEW), 
an  icon  will be displayed. Although this program has a  MS-Windows  file 
format,  it forces the system into the DOS mode when in Windows  or  OS/2. 
Rosenthal UnInstall is designed to remove Windows software; however it  is 
not  dependent  on Windows functioning and will work independent  of  your 
memory, network and multitasking managers, mouse and graphics drivers.

It's important that your system's time and date are correctly adjusted, so 
please take a moment to make any corrections before proceeding.
 
The  first time you run Rosenthal UnInstall, it will prompt you  to  enter 
your  full name, and your registered serial number. Don't  take  shortcuts 
when entering your real name correctly. You will need to know exactly  how 
it was entered should you require technical support and upgrades. 

This software may be used without a serial number for a limited evaluation 
period  before  paying  the  required registration  fee.  If  you  have  a 
registered copy, enter the serial number exactly as it appears printed  on 
the  distribution diskette when prompted. To try this software  without  a 
registered serial number, just press ENTER at the serial number prompt. 

A stick-on label with the last digits of the serial number is included. If 
you  are  subject  to  software  audits,  the  label  is  your  proof   of 
registration  when it is affixed to a single computer (on the back or  the 
bottom  of  the  keyboard works well). Each computer  must  have  its  own 
registered Rosenthal UnInstall serial number. 

Registered  users will receive the latest version of this program and  the 
unregistered  software  to evaluate listed in the  TRY_THIS.DOC.  See  the 
ORDER.FRM  file for details. Additionally, users receive the  very  useful 
bonus  utility "Rosenthal History (tm)" free with their paid  registration 
or upgrade. 

Rosenthal  Uninstall will map each disk drive as it is logged.  Any  drive 
with read and write access will work including network, fixed,  removable, 
PCMCIA, ram-card and an unlimited number of floppy diskettes. 

Execute  "UNINSTAL.EXE"  before adding each new  software  package.  After 
you've installed and evaluated the new software, you can elect to keep  it 
by  selecting  the "U - Update" function. The map is the updated  and  the 
current time and date are recorded.

Accepting  added software with the "U - update" option also  displays  any 
identical copies on the same disk that may already exist. "U - Update"  or 
"P  - Purge" software before adding anything new. Software that  has  been 
added  to  the  map  using the "Update"  function  can  later  be  removed 
selectively by file name using the "P - Purge" function.

To  remove unwanted software, the "P - Purge" function must be  displayed. 
To  display the function, first  log (or re-log) the disk drive using  the 
"L - Logged drive change" function.

Newly  created  files  display  their  date  and  time  stamps.  You   may 
selectively   "E  -Exempt" files from the removal list. If  you  elect  to 
exempt a file from being purged that resides in a directory that is listed 
for removal, the directory is automatically exempted as well. 

When  you elect to "P - Purge" newly installed software that has  modified 
the  AUTOEXEC.BAT,  CONFIG.SYS, WIN.INI or SYSTEM.INI files  (or  in  rare 
cases the boot sector), they will be restored automatically. 

When  software  has  been added using the "U - Update"  function,  it  can 
latter  be removed selectively by file name, again using the "P  -  Purge" 
function.  Enter a file name associated this the application.  Wild  cards 
"*"  can be included in the file name and no drive or path name should  be 
included. For example "FILE*.*" will search every directory on the  logged 
drive. When a match is found it will be displayed along with the date  and 
time  of  when it was added to the map. "D - Display" will  show  all  the 
files  added at that session. Again, you can "E - Exempt" any you want  to 
keep.  This is especially true of files that are shared by other  programs 
like run time libraries and .DLL's.

Software  that  has  not yet been added to the map  using  the  "U-Update" 
function  can  be completely uninstalled and the  systems  files  restored 
automatically.  When  software is selectively purged at a latter  date  by 
file  name, the system files may need to be restored manually  using  your 
ASCII  file  editor. The program "Rosenthal History (tm)"  will  show  the 
changes  that  were  made to your system files  so  editing  system  files 
becomes very straight forward and quite simple.

         -    -    -    -    -    -    -    -    -    -    -    -

                  Rosenthal History (tm)  (FREE BONUS!)

The  bonus  utility "Rosenthal History (tm)" is included  ABSOLUTELY  FREE 
with  paid  registration or upgrade. It maintains a  running  timeline  of 
changes,  additions  and deletions made to the  AUTOEXEC.BAT,  CONFIG.SYS, 
WIN.INI  and  SYSTEM.INI  files. An easy to understand,  plain  text  file 
(RE_HIST.DAT) history report can be referred to when uninstalling software 
or  to  resolve conflicts. Add Rosenthal History and begin  recording  the 
timeline  as  soon as possible. Read the RE_HIST.DOC file for  a  complete 
discription of this very highly acclaimed, must have utility.

         -    -    -    -    -    -    -    -    -    -    -    -

                           Program Requirements

Rosenthal  UnInstall runs using MS-Windows 3 or higher and /or DOS 3.0  or 
higher  and  has been tested with versions through 6.2. Be sure  to  first 
copy all the files to the root directory of your hard drive. Attempting to 
run this program from a disk that doesn't have write access (like a CD-ROM 
or write protected floppy diskette) will cause an "Access Denied" error.


           Using Rosenthal UnInstall with Special Boot sectors

This  option  is  rarely  needed, but if  you  have  special  boot  sector 
requirements  or  are using a boot sector manager  that  switches  between 
different  operating systems such as DR DOS and OS/2, you may need to  set 
the  special boot sector option to prevent the programs  from  complaining 
that the other has modified the boot sector.
 
Rosenthal  UnInstall  saves  a copy of your original  boot  sector  before 
generating  a  special  security replacement. To use  your  original  boot 
sector  as the default, enter "BOOT" on the command line when you run  the 
program.  Change  the  logged  drive to each drive  that  you  had  mapped 
previously. Very few systems will need this special option, but  Rosenthal 
UnInstall can remove even some of the nastiest installations.

         -    -    -    -    -    -    -    -    -    -    -    -

                          Orders Outside the U.S

All  international  orders  are  sent by  air-mail.  See  the  order  form 
(ORDER.FRM)  for shipping and handling rates. Please be sure to make  your 
payment in "US Dollars" either by (US) cash, international money order  or 
check  drawn  on  a US member bank. Otherwise banks want  a  fifty  dollar 
processing fee to cash a twenty five dollar check. Sorry, euro-checks  and 
credit cards can not be processed.  

         -    -    -    -    -    -    -    -    -    -    -    -

                        Software License agreement

You  are  encouraged  to copy and distribute  this  software  provided  it 
remains unmodified, complete in its original form, and no fee (other  than 
a  nominal  copy charge) is required. This software is  provided  "as  is" 
without warranty either expressed or implied.

You may not make any changes or modifications to the software, and you may 
not decompile, disassemble or in anyway reverse engineer the software. 

This  software  is  provided  "as is"  without  warranties  of  any  kind. 
Responsibility rests entirely with the user to determine its fitness for a 
particular purpose. ROSENTHAL ENGINEERING SHALL NOT IN ANY CASE BE  LIABLE 
FOR SPECIAL, INCIDENTAL, CONSEQUENTIAL, INDIRECT OR OTHER SIMILAR  DAMAGES 
ARISING  FROM  ANY USE OF THIS SOFTWARE. Some states may not  allow  these 
limits  on  warranties,  so they may not apply to you. In  no  case  shall 
Rosenthal  Engineering's liability exceed the license fees paid by you  to 
Rosenthal  Engineering  for the right to use the Licensed  Software.  Use, 
duplication, or disclosure by the U.S. Government of the computer software 
and  documentation  in  this package shall be subject  to  the  restricted 
rights  applicable  to  commercial  computer  software  as  set  forth  in 
subdivision  (b)  (3) (ii) of the Rights in Technical  Data  and  Computer 
Software    clause    at    252.227-7013    (DFARS    52.227-7013).    The 
Contractor/manufacturer is Doren Rosenthal, Rosenthal Engineering, P.O.Box 
1650, San Luis Obispo, California 93406.

This  constitutes  the  entire agreement  and  understanding  between  the 
parties  and supersedes any prior agreement or understanding whether  oral 
or written and may only be modified in writing.

